Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassContact

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassContact

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassContact

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Contact', and utility methods for working with them. specDomain: V12205 (C-0-D11555-V13940-V19313-V19316-V10416-V14006-V11595-V12205-cpt)

See Also:
  `CDAR2Package.getRoleClassContact()`

Field Summary
`static int` | `CON` The 'CON' literal value.
`static RoleClassContact` | `CON_LITERAL` The 'CON' literal object.
`static int` | `ECON` The 'ECON' literal value.
`static RoleClassContact` | `ECON_LITERAL` The 'ECON' literal object.
`static int` | `NOK` The 'NOK' literal value.
`static RoleClassContact` | `NOK_LITERAL` The 'NOK' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Contact' enumerators.

Method Summary
`static RoleClassContact` | `get(int value)` Returns the 'Role Class Contact' literal with the specified integer value.
`static RoleClassContact` | `get(java.lang.String literal)` Returns the 'Role Class Contact' literal with the specified literal value.
`static RoleClassContact` | `getByName(java.lang.String name)` Returns the 'Role Class Contact' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CON

    public static final int CON

  The 'CON' literal value.

  If the meaning of 'CON' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CON_LITERAL`, Constant Field Values

### ECON

    public static final int ECON

  The 'ECON' literal value.

  If the meaning of 'ECON' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ECON_LITERAL`, Constant Field Values

### NOK

    public static final int NOK

  The 'NOK' literal value.

  If the meaning of 'NOK' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NOK_LITERAL`, Constant Field Values

### CON_LITERAL

    public static final RoleClassContact CON_LITERAL

  The 'CON' literal object.

  See Also:
    `CON`

### ECON_LITERAL

    public static final RoleClassContact ECON_LITERAL

  The 'ECON' literal object.

  See Also:
    `ECON`

### NOK_LITERAL

    public static final RoleClassContact NOK_LITERAL

  The 'NOK' literal object.

  See Also:
    `NOK`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Contact' enumerators.

Method Detail

### get

    public static RoleClassContact get(java.lang.String literal)

  Returns the 'Role Class Contact' literal with the specified literal value.

### getByName

    public static RoleClassContact getByName(java.lang.String name)

  Returns the 'Role Class Contact' literal with the specified name.

### get

    public static RoleClassContact get(int value)

  Returns the 'Role Class Contact' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD